不兼容惹的祸,Calibre 作者拒绝迁移至 Python 3

Zilla · 2018年11月22日 · 213 次阅读

开源电子书管理器 Calibre 的作者 Kavid Goyal 近日公开了自己在 2017 年对用户要求升级至 Python 3 的回应,以表明 Calibre 不会直接迁移至 Python 3 的态度。

2017年8月,有用户提交反馈称由于 Python 2 将于2020年停止支持,Calibre 需要升级为 Python 3 。Kavid Goyal 将该问题的状态更改为“不会修复”,并回应道:“没有必要,我完全有能力自己维护 Python 2 。这样做的工作量比考虑迁移整个代码库要少得多。”

随着前几个月 Guido van Rossum 对 Python 2.7 将于2020年1月1日终止支持的证实,Calibre 再次收到了不少要求升级的需求,因此 Kavid Goyal 选择将之前的回应公开,以作统一回复。

此外,Kavid Goyal 在 GitHub 上补充道,“我的目标是以与 Python 2 相同的方式在 Python 3 上运行 Calibre 的代码。计划在2019年底或最迟在2020年年初,完全兼容 Python 3 。”

Python 3.0 发布至今已有十年,许多软件和项目已完成迁移。但由于不向后兼容,也有部分开发者选择不去跟进。

共收到0条回复
暂无任何评论
我要评论
登录之后,才能够回复。如果您还没有帐号,请先注册
小甜饼

我们愈是学习,愈觉得自己的贫乏。 —— 雪莱